<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use App\Traits\Uuids;

class Sub_Instrument extends Model
{
    use HasFactory;
    use Uuids;

    public $incrementing = false;
    protected $keyType = 'uuid';
    protected $table = 'sub_instrument';

    protected $guarded = [];


    public function instrument()
    {
        return $this->belongsTo(Instrument::class, 'id_instrument', 'id');
    }

    public function jenis_input()
    {
        return $this->belongsTo(Jenis_Input::class, 'id_jenis_input', 'id');
    }
   

   
}
